LinuxQuestions.org
Visit Jeremy's Blog.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices


Reply
  Search this Thread
Old 05-15-2021, 02:17 PM   #7651
USUARIONUEVO
Senior Member
 
Registered: Apr 2015
Posts: 2,308

Rep: Reputation: 922Reputation: 922Reputation: 922Reputation: 922Reputation: 922Reputation: 922Reputation: 922Reputation: 922

Hi , this was reported some many times , but i try one more time ..


python2-collection-modules , have inside some little needed python2 modules , but have one collision.

requests , requires urllib3 > 1.26


The good way , is downgrade urllib3 (only in python2-collection) to this

Quote:
urllib3-1.25.11

pip2 check is your friend , you cant ignore.
 
Old 05-15-2021, 04:45 PM   #7652
marav
LQ Sage
 
Registered: Sep 2018
Location: Gironde
Distribution: Slackware
Posts: 5,231

Rep: Reputation: 3948Reputation: 3948Reputation: 3948Reputation: 3948Reputation: 3948Reputation: 3948Reputation: 3948Reputation: 3948Reputation: 3948Reputation: 3948Reputation: 3948
Quote:
Originally Posted by opty View Post
You don't have to reconfigure your system:

Code:
15step :: ~/Documents » LC_MESSAGES=C okular 11527.pdf
Anyway, use whatever system messages' locale you want but don't wonder why you might get no help.
I've had no problem for 3 years, except for your intervention
 
Old 05-16-2021, 12:45 AM   #7653
bassmadrigal
LQ Guru
 
Registered: Nov 2003
Location: West Jordan, UT, USA
Distribution: Slackware
Posts: 8,792

Rep: Reputation: 6656Reputation: 6656Reputation: 6656Reputation: 6656Reputation: 6656Reputation: 6656Reputation: 6656Reputation: 6656Reputation: 6656Reputation: 6656Reputation: 6656
Quote:
Originally Posted by marav View Post
I've had no problem for 3 years, except for your intervention
It was strictly a suggestion to provide your output messages to English so people can better provide support. I know I don't speak French and I would simply need to guess what the error message was based on context or use a translation service (which I'm usually lazy and if I can't understand the issue based on context, I'd likely ignore the post). (I did actually paste one of the error messages into Google Translate to verify the error message was actually in French.)

You're free to obviously do as you choose, but if you post foreign text, it's probable that some are going to not understand it and many of those won't go out of their way to translate it.

I can't tell you how many times Didier has posted some foreign saying, and I'm usually lazy enough that I don't throw it into a translation service and will just think "oh, it's probably clever, but I'll never know for sure." (Sorry, Didier!)
 
2 members found this post helpful.
Old 05-16-2021, 02:00 AM   #7654
TurboBlaze
Member
 
Registered: Jan 2018
Location: Russian Federation, Lipetsk region, Dankov
Distribution: Porteus
Posts: 194

Rep: Reputation: Disabled
Please don't hit me

How about update GCC to 11.1
https://gcc.gnu.org/gcc-11/
or add it to the Slackware testing tree?

BTW, Arch Linux on the way to add GCC 11.1 to the Core tree.
At this time GCC 11.1 in the Testing tree:
https://archlinux.org/packages/testing/x86_64/gcc/

Thanks.
 
Old 05-16-2021, 02:48 AM   #7655
Didier Spaier
LQ Addict
 
Registered: Nov 2008
Location: Paris, France
Distribution: Slint64-15.0
Posts: 11,048

Rep: Reputation: Disabled
Quote:
Originally Posted by bassmadrigal View Post
I can't tell you how many times Didier has posted some foreign saying, and I'm usually lazy enough that I don't throw it into a translation service and will just think "oh, it's probably clever, but I'll never know for sure." (Sorry, Didier!)
No reason to be sorry but if and when you want to translate from a language you don't know, I suggest to use deepl.com, the best freely available translation service that I know. @All: yes this is off topic, but I felt allowed to answer.

PS.
Q. How do you call someone who speaks only one language?
A. He is American.

Last edited by Didier Spaier; 05-16-2021 at 02:53 AM.
 
1 members found this post helpful.
Old 05-16-2021, 02:59 AM   #7656
bassmadrigal
LQ Guru
 
Registered: Nov 2003
Location: West Jordan, UT, USA
Distribution: Slackware
Posts: 8,792

Rep: Reputation: 6656Reputation: 6656Reputation: 6656Reputation: 6656Reputation: 6656Reputation: 6656Reputation: 6656Reputation: 6656Reputation: 6656Reputation: 6656Reputation: 6656
Quote:
Originally Posted by Didier Spaier View Post
No reason to be sorry but if and when you want to translate from a language you don't know, I suggest to use deepl.com, the best freely available translation service that I know.
Whenever I get the itch to translate something, I always use Google Translate. Deepl might be better, but I don't think I've tried it.

Quote:
Originally Posted by Didier Spaier View Post
PS.
Q. How do you call someone who speaks only one language?
A. He is American.
I am definitely American. Our foreign language education sucks! I took 3 years of Spanish in high school but I learned more Spanish while working at McDonald's for 1.5 years (I actually was able to conversate in Spanish because of working there). Unfortunately, due to not speaking Spanish in decent amounts for many years, I've lost most of my knowledge of it.
 
Old 05-16-2021, 03:09 AM   #7657
atelszewski
Member
 
Registered: Aug 2007
Distribution: Slackware
Posts: 948

Rep: Reputation: Disabled
Allow for disabling NFSv4 non-essential services

Hi,

coming back to the topic of allowing to disable NFSv4 non-essential services,
this is how I implemented it on my system:

Code:
diff --git a/etc/rc.d/rc.nfsd b/etc/rc.d/rc.nfsd
index ad087a3..f328c76 100644
--- a/etc/rc.d/rc.nfsd
+++ b/etc/rc.d/rc.nfsd
@@ -35,7 +35,7 @@ nfsd_start() {
   fi
 
   # If basic RPC services are not running, start them:
-  if ! ps axc | grep -q rpc.statd ; then
+  if ! ps axc | grep -q rpc.statd && [ "$RPC_EXCLUDE_NON_V4" != "y" ] ; then
     if [ -r /etc/rc.d/rc.rpc ]; then
       sh /etc/rc.d/rc.rpc start
     else
@@ -53,7 +53,7 @@ nfsd_start() {
     /usr/sbin/exportfs -r
   fi
 
-  if [ -x /usr/sbin/rpc.rquotad ]; then
+  if [ -x /usr/sbin/rpc.rquotad ] && [ "$RPC_EXCLUDE_NON_V4" != "y" ]; then
     if [ -n "$RPC_RQUOTAD_PORT" ]; then
       RPC_RQUOTAD_OPTS="$RPC_RQUOTAD_OPTS -p $RPC_RQUOTAD_PORT"
     fi
Please merge! :-)

--
Best regards,
Andrzej Telszewski
 
Old 05-16-2021, 03:28 AM   #7658
ZhaoLin1457
Member
 
Registered: Jan 2018
Posts: 997

Rep: Reputation: 1175Reputation: 1175Reputation: 1175Reputation: 1175Reputation: 1175Reputation: 1175Reputation: 1175Reputation: 1175Reputation: 1175
Quote:
Originally Posted by Didier Spaier View Post
No reason to be sorry but if and when you want to translate from a language you don't know, I suggest to use deepl.com, the best freely available translation service that I know. @All: yes this is off topic, but I felt allowed to answer.

PS.
Q. How do you call someone who speaks only one language?
A. He is American.
Mr. Didier, I understand and speak Mandarin (Northern) Chinese, Japanese and English, but with all respect still I do not speak French, Spanish or German.

And I observed that some people here (including me) setups at least an alternate user account which uses standard English for the sake of facilitating the communication on this forum.

I am quite sure that you are really proud of yours French ancestry, but same here, I am proud of being part of a nation with 8000 years history. No offense intended to anyone, but we did architecture, art and poetry when the Europeans still lived on caves and hunted Neanderthals for food.

However, I believe that as a cosmopolitan community as we are, we need a Lingua Franca.

And this being an American Forum, where mainly we address to an American gentleman who's our BDFL, let's use English all the way, for the sake of communication consistency.

Last edited by ZhaoLin1457; 05-16-2021 at 02:07 PM.
 
3 members found this post helpful.
Old 05-16-2021, 03:38 AM   #7659
gmgf
Senior Member
 
Registered: Jun 2012
Location: Bergerac, France
Distribution: Slackware
Posts: 2,192

Rep: Reputation: 987Reputation: 987Reputation: 987Reputation: 987Reputation: 987Reputation: 987Reputation: 987Reputation: 987
Quote:
Originally Posted by bassmadrigal View Post
Whenever I get the itch to translate something, I always use Google Translate. Deepl might be better, but I don't think I've tried it.



I am definitely American. Our foreign language education sucks! I took 3 years of Spanish in high school but I learned more Spanish while working at McDonald's for 1.5 years (I actually was able to conversate in Spanish because of working there). Unfortunately, due to not speaking Spanish in decent amounts for many years, I've lost most of my knowledge of it.
'Didier' is optimistic, in France it's not much better
 
3 members found this post helpful.
Old 05-16-2021, 03:50 AM   #7660
gmgf
Senior Member
 
Registered: Jun 2012
Location: Bergerac, France
Distribution: Slackware
Posts: 2,192

Rep: Reputation: 987Reputation: 987Reputation: 987Reputation: 987Reputation: 987Reputation: 987Reputation: 987Reputation: 987
'kapidox' is compiled with python (2), but 'python3 setup.py install --root=$PKG' work fine.

Last edited by gmgf; 05-16-2021 at 08:04 AM.
 
Old 05-16-2021, 07:04 AM   #7661
Didier Spaier
LQ Addict
 
Registered: Nov 2008
Location: Paris, France
Distribution: Slint64-15.0
Posts: 11,048

Rep: Reputation: Disabled
Quote:
Originally Posted by ZhaoLin1457 View Post
I am quite sure that you are really proud of yours French ancestry
No. One may be proud only of one's achievements.

Last edited by Didier Spaier; 05-16-2021 at 07:10 AM.
 
4 members found this post helpful.
Old 05-16-2021, 09:03 AM   #7662
NonNonBa
Member
 
Registered: Aug 2010
Distribution: Slackware
Posts: 192

Rep: Reputation: Disabled
Quote:
Originally Posted by ZhaoLin1457 View Post
I am quite sure that you are really proud of yours French ancestry, but same here, I am proud of being part of a nation with 8000 years history. No offense intended to anyone, but we did architecture, art and poetry when the Europeans still lived on caves and hunted Neanderthals for food.
So, the Europeans don't exist, as Neanderthal (which is today thought to be a common ancestor of every humans out of Africa) disappeared ~37000 years ago.
 
Old 05-16-2021, 10:21 AM   #7663
LuckyCyborg
Senior Member
 
Registered: Mar 2010
Posts: 3,465

Rep: Reputation: 3258Reputation: 3258Reputation: 3258Reputation: 3258Reputation: 3258Reputation: 3258Reputation: 3258Reputation: 3258Reputation: 3258Reputation: 3258Reputation: 3258
Quote:
Originally Posted by NonNonBa View Post
So, the Europeans don't exist, as Neanderthal (which is today thought to be a common ancestor of every humans out of Africa) disappeared ~37000 years ago.
Who said that Neanderthals disappeared 37000 years ago is wrong.

Take a look at the lady from the attached image and feel free to wonder from which continent she's.

I believe that anyone on this world will be capable to say accurate her continent of living. She's European, right?

However, she lived tens of thousands years ago and she's not a Homo Sapiens Sapiens as species. She's Neanderthal.

A truth conveniently forgotten by many is that Homo Sapiens Sapiens people who did the second human migration from Africa was, well... Africans with all African traits a human living in Congo can get after hundreds of generations. Including even the skin and hair color, they was Africans.

IF they had been fully replaced the previous people living on Europa, as the teachers told us, there should not be White people on this continent, right?
Attached Thumbnails
Click image for larger version

Name:	1614224276063.jpg
Views:	63
Size:	74.0 KB
ID:	36410  

Last edited by LuckyCyborg; 05-16-2021 at 11:16 AM.
 
1 members found this post helpful.
Old 05-16-2021, 05:26 PM   #7664
redneonglow
Member
 
Registered: Feb 2020
Location: PA
Distribution: Gentoo, Slackware
Posts: 75

Rep: Reputation: 24
You should add a variable to rc.inet1.conf to enable IPv6 autoconfiguration. With Linode autoconfiguration needs to be on, but the -current (20210516) rc.inet1 disables it regardless.
 
Old 05-16-2021, 06:10 PM   #7665
marav
LQ Sage
 
Registered: Sep 2018
Location: Gironde
Distribution: Slackware
Posts: 5,231

Rep: Reputation: 3948Reputation: 3948Reputation: 3948Reputation: 3948Reputation: 3948Reputation: 3948Reputation: 3948Reputation: 3948Reputation: 3948Reputation: 3948Reputation: 3948
Quote:
Originally Posted by redneonglow View Post
You should add a variable to rc.inet1.conf to enable IPv6 autoconfiguration. With Linode autoconfiguration needs to be on, but the -current (20210516) rc.inet1 disables it regardless.
Line 316
Code:
# Disable v6 IP auto configuration before trying to bring up the interface:
        debug_log "${1}: disabling IPv6 autoconf"
        echo "0" >/proc/sys/net/ipv6/conf/${1}/autoconf
And line 357:
Code:
# Enable auto configuration of interfaces:
        echo "1" >/proc/sys/net/ipv6/conf/${1}/autoconf
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
[SOLVED] Requests for -current (20151216) rworkman Slackware 3441 12-28-2017 03:50 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware

All times are GMT -5. The time now is 08:40 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration